---
title: current
slug: Web/XPath/Functions/current
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p>The <code>current</code> function can be used to get the context node in an XSLT instruction.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">current()
</pre>

<h3 id="Returns">Returns</h3>

<p>A node-set containing only the current node.</p>

<h3 id="Notes">Notes</h3>

<p>This function is an XSLT-specific addition to XPath. It is not a part of the core XPath function library.</p>

<p>For an outermost expression (an expression not occurring within another expression), the current node is always the same as the context node (which will be returned by the <code>.</code> or <code>self</code> syntax). The following two are symantically equivalent.</p>

<pre class="eval">&lt;xsl:value-of select="current()"/&gt;
</pre>

<pre class="eval">&lt;xsl:value-of select="."/&gt;
</pre>

<p>In an inner expression (e.g. in square brackets), the current node is still the same as it would have been in an outermost expression. Thus within all of the following three expressions the <code>current</code> function (not the entire expressions) returns the same node. Moreover, the latter two are semantically equivalent.</p>

<pre class="eval">&lt;xsl:value-of select="current()"/&gt;
</pre>

<pre class="eval">&lt;xsl:value-of select="foo/bar[current() = X]"/&gt;
</pre>

<pre class="eval">&lt;xsl:variable name="current" select="current()"/&gt;
&lt;xsl:value-of select="foo/bar[$current = X]"/&gt;
</pre>

<p>And the next code is also semantically equivalent to the latter two, since the <code>.</code> occurs in an outermost expression.</p>

<pre class="eval">&lt;xsl:variable name="current" select="."/&gt;
&lt;xsl:value-of select="foo/bar[$current = X]"/&gt;
</pre>

<p>But the <code>.</code> always relate to the narrowest context. Thus in</p>

<pre class="eval">&lt;xsl:value-of select="foo/bar[. = X]"/&gt;
</pre>

<p>the <code>.</code> returns the <code>bar</code> node, which may be different from the current node.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-current">XSLT 1.0 12.4</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
